# JdbcDataSourceFactory

This class is used to create new DataSource objects. An application should not use this class directly.

Methods
| JdbcDataSourceFactory() The public constructor to create new factory objects.
| JdbcDataSourceFactory() The public constructor to create new factory objects.
Object | getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable environment) Creates a new object using the specified location or reference information.

Object

getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable environment)
Creates a new object using the specified location or reference information.
Parameters:
obj - the reference (this factory only supports objects of type javax.naming.Reference)
name - unused
nameCtx - unused
environment - unused
Returns:
the new JdbcDataSource, or null if the reference class name is not JdbcDataSource.